#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Net
%define		pnam	SSH-Perl
Summary:	Net::SSH::Perl - Perl client Interface to SSH
Summary(pl.UTF-8):	Net::SSH::Perl - perlowy interfejs kliencki do SSH
Name:		perl-Net-SSH-Perl
Version:	1.34
Release:	3
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	5b6d60e459707058e856c45c30e96e53
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Convert-PEM >= 0.05
BuildRequires:	perl-Crypt-DH >= 0.01
BuildRequires:	perl-Crypt-DSA >= 0.11
BuildRequires:	perl-Digest-HMAC
BuildRequires:	perl-Digest-MD5
BuildRequires:	perl-Digest-SHA1 >= 2.10
BuildRequires:	perl-Math-GMP >= 1.04
BuildRequires:	perl-Math-Pari >= 2.001804
BuildRequires:	perl-MIME-Base64
BuildRequires:	perl-String-CRC32 >= 1.2
%endif
Requires:	perl-Convert-PEM >= 0.05
Requires:	perl-Crypt-Blowfish
Requires:	perl-Crypt-DES
Requires:	perl-Crypt-DH >= 0.01
Requires:	perl-Crypt-DSA >= 0.11
Requires:	perl-Crypt-IDEA
Requires:	perl-Crypt-RSA
Requires:	perl-Digest-BubbleBabble
Requires:	perl-Digest-HMAC
Requires:	perl-Digest-MD5
Requires:	perl-Digest-SHA1 >= 2.10
Requires:	perl-Math-GMP >= 1.04
Requires:	perl-Math-Pari >= 2.001804
Requires:	perl-MIME-Base64
Requires:	perl-String-CRC32 >= 1.2
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Net::SSH::Perl is an all-Perl module implementing an SSH (Secure
Shell) client. It is compatible with both the SSH-1 and SSH-2
protocols.

%description -l pl.UTF-8
Net::SSH::Perl to napisany w całości w Perlu moduł implementujący
klienta SSH (Secure Shell). Jest kompatybilny z protokołami zarówno
SSH-1 jak i SSH-2.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} -MExtUtils::MakeMaker -e 'WriteMakefile(NAME=>"Perl::Net::SSH::Perl")' \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a eg/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes ToDo
%dir %{perl_vendorlib}/Net/SSH
%{perl_vendorlib}/Net/SSH/*.pm
%{perl_vendorlib}/Net/SSH/Perl
%{_mandir}/man3/*
%{_examplesdir}/%{name}-%{version}
%changelog
* Tue May 28 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Net-SSH-Perl.git;a=log;h=master

* Tue May 28 2013 Jan Rękorajski <baggins@pld-linux.org> 0111415
- don't require perl-Scalar-List-Utils, it's in perl-modules
- rel 3

* Sat Jun 12 2010 Jan Rękorajski <baggins@pld-linux.org> 70e8f81
- rel 2

* Tue Nov 03 2009 Jan Rękorajski <baggins@pld-linux.org> ed114a4
- rel 1

* Tue Nov 03 2009 Jan Rękorajski <baggins@pld-linux.org> bb42d1b
- up to 1.34
- updated R/BR

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 7630ef2
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 7893ce0
- converted to UTF-8

* Sun Jul 09 2006 Maciej Pijanka <agaran@pld-linux.org> df9d3d3
- up to 1.30, rel at 0.1, builds here

* Thu Feb 23 2006 Maciej Pijanka <agaran@pld-linux.org> 7a7e40d
- up to 1.29, rel 0.1 builds here

* Mon May 30 2005 petec <petec@pld-linux.org> 8371d4b
- up to 1.28

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> f536412
- formatting

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 446c888
- spaces->tabs

* Sun Aug 01 2004 ankry <ankry@pld-linux.org> 51d625d
- added missing dir, rel. 3

* Sun May 23 2004 ankry <ankry@pld-linux.org> 4dcb086
- R: perl-Crypt-RSA, rel. 2

* Sat May 08 2004 Jakub Bogusz <qboosh@pld-linux.org> e69968a
- pl, other fixes

* Fri May 07 2004 radek <radek@pld-linux.org> ac0d4d4
- new

